package com.bonus.core.notice.notice.v2.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("inform_history")
@ApiModel("通知记录 ")
public class InformHistory implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("通知记录id")
   private Long informhisId;
   @ApiModelProperty("通知方式 2:公众号，999：临时通知")
   private Integer informType;
   @ApiModelProperty("通知时间")
   private LocalDateTime informStatime;
   @ApiModelProperty("通知名称")
   private String noticeName;
   @ApiModelProperty("通知内容")
   private String informContent;
   @ApiModelProperty("通知人员类型 日常活跃用户：1，30天内未下单用户：2，三个月未下单用户：3")
   private Integer noticeUserType;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getInformhisId() {
      return this.informhisId;
   }

   public Integer getInformType() {
      return this.informType;
   }

   public LocalDateTime getInformStatime() {
      return this.informStatime;
   }

   public String getNoticeName() {
      return this.noticeName;
   }

   public String getInformContent() {
      return this.informContent;
   }

   public Integer getNoticeUserType() {
      return this.noticeUserType;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setInformhisId(final Long informhisId) {
      this.informhisId = informhisId;
   }

   public void setInformType(final Integer informType) {
      this.informType = informType;
   }

   public void setInformStatime(final LocalDateTime informStatime) {
      this.informStatime = informStatime;
   }

   public void setNoticeName(final String noticeName) {
      this.noticeName = noticeName;
   }

   public void setInformContent(final String informContent) {
      this.informContent = informContent;
   }

   public void setNoticeUserType(final Integer noticeUserType) {
      this.noticeUserType = noticeUserType;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
